import * as plugins from './ora.plugins';
import { OraProject } from './ora.classes.project';

export class OraList {
  // ======
  // STATIC
  // ======
  public static async getAllLists(oraProjectRef: OraProject) {
    const response = await oraProjectRef.oraOrganizationRef.oraRef.request(`/projects/${oraProjectRef.id}/lists`, 'GET');
    const oraLists: OraList[] = [];
    for (const dataObject of response.data) {
      oraLists.push(new OraList(oraProjectRef, dataObject));
    }
    return oraLists;
  }

  // ========
  // INSTANCE
  // ========

  public oraProjectObjectRef: OraProject;

  constructor(oraProjectRefArg: OraProject, creationObjectArg) {
    this.oraProjectObjectRef = oraProjectRefArg;
    Object.assign(this, creationObjectArg);
  }
}